import { Node } from "ts-morph";
interface Occurrence {
    original: string;
    file: string;
    line: number;
    start: number;
    end: number;
}
export declare function handleStringLiteral(node: Node, filePath: string, excludedStringsSet: Set<string>, occurrences: Occurrence[]): void;
export declare function handleNoSubstitutionTemplate(node: Node, filePath: string, excludedStringsSet: Set<string>, occurrences: Occurrence[]): void;
export declare function handleTemplateExpression(node: Node, filePath: string, excludedStringsSet: Set<string>, occurrences: Occurrence[]): void;
export declare function handleBinaryExpression(node: Node, filePath: string, excludedStringsSet: Set<string>, occurrences: Occurrence[]): void;
export {};
